KInputDialog Class Reference

`#include <kinputdialog.h>`

Inheritance diagram for KInputDialog:

## Static Public Member Functions

static QString | getText (const QString &caption, const QString &label, const QString &value=QString::null, bool *ok=0, QWidget *parent=0, const char *name=0, QValidator *validator=0, const QString &mask=QString::null)
static QString | text (const QString &caption, const QString &label, const QString &value=QString::null, bool *ok=0, QWidget *parent=0, const char *name=0, QValidator *validator=0, const QString &mask=QString::null, const QString &whatsThis=QString::null)
static QString | getMultiLineText (const QString &caption, const QString &label, const QString &value=QString::null, bool *ok=0, QWidget *parent=0, const char *name=0)
static int | getInteger (const QString &caption, const QString &label, int value=0, int minValue=-2147483647, int maxValue=2147483647, int step=1, int base=10, bool *ok=0, QWidget *parent=0, const char *name=0)
static int | getInteger (const QString &caption, const QString &label, int value=0, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=0, QWidget *parent=0, const char *name=0)
static double | getDouble (const QString &caption, const QString &label, double value=0, double minValue=-2147483647, double maxValue=2147483647, double step=0.1, int decimals=1, bool *ok=0, QWidget *parent=0, const char *name=0)
static double | getDouble (const QString &caption, const QString &label, double value=0, double minValue=-2147483647, double maxValue=2147483647, int decimals=1, bool *ok=0, QWidget *parent=0, const char *name=0)
static QString | getItem (const QString &caption, const QString &label, const QStringList &list, int current=0, bool editable=false, bool *ok=0, QWidget *parent=0, const char *name=0)
static QStringList | getItemList (const QString &caption, const QString &label, const QStringList &list=QStringList(), const QStringList &select=QStringList(), bool multiple=false, bool *ok=0, QWidget *parent=0, const char *name=0)
Static Public Member Functions inherited from KDialogBase
static bool | haveBackgroundTile ()
static const QPixmap * | backgroundTile ()
static const QPixmap * | getBackgroundTile () KDE_DEPRECATED
static void | setBackgroundTile (const QPixmap *pix)
Static Public Member Functions inherited from KDialog
static int | marginHint ()
static int | spacingHint ()
static void | resizeLayout (QWidget *widget, int margin, int spacing)
static void | resizeLayout (QLayoutItem *lay, int margin, int spacing)
static void | centerOnScreen (QWidget *widget, int screen=-1)
static bool | avoidArea (QWidget *widget, const QRect &area, int screen=-1)

## Friends

class | KInputDialogPrivate

## Additional Inherited Members

Public Types inherited from KDialogBase
enum | ButtonCode { Help = 0x00000001, Default = 0x00000002, Ok = 0x00000004, Apply = 0x00000008, Try = 0x00000010, Cancel = 0x00000020, Close = 0x00000040, User1 = 0x00000080, User2 = 0x00000100, User3 = 0x00000200, No = 0x00000080, Yes = 0x00000100, Details = 0x00000400, Filler = 0x40000000, Stretch = 0x80000000, NoDefault }
enum | ActionButtonStyle { ActionStyle0 =0, ActionStyle1, ActionStyle2, ActionStyle3, ActionStyle4, ActionStyleMAX }
enum | DialogType { TreeList = KJanusWidget::TreeList, Tabbed = KJanusWidget::Tabbed, Plain = KJanusWidget::Plain, Swallow = KJanusWidget::Swallow, IconList = KJanusWidget::IconList }
Public Slots inherited from KDialogBase
void | enableButton (ButtonCode id, bool state)
void | enableButtonOK (bool state)
void | enableButtonApply (bool state)
void | enableButtonCancel (bool state)
void | enableLinkedHelp (bool state)
void | delayedDestruct ()
void | setHelpLinkText (const QString &text)
void | setHelp (const QString &anchor, const QString &appname=QString::null)
void | helpClickedSlot (const QString &)
void | setDetails (bool showDetails)
void | setDetailsWidget (QWidget *detailsWidget)
void | updateBackground ()
void | cancel ()
Public Slots inherited from KDialog
virtual void | polish ()
virtual void | setCaption (const QString &caption)
virtual void | setPlainCaption (const QString &caption)
Signals inherited from KDialogBase
void | helpClicked ()
void | defaultClicked ()
void | user3Clicked ()
void | user2Clicked ()
void | user1Clicked ()
void | applyClicked ()
void | tryClicked ()
void | okClicked ()
void | yesClicked ()
void | noClicked ()
void | cancelClicked ()
void | closeClicked ()
void | apply ()
void | backgroundChanged ()
void | hidden ()
void | finished ()
void | aboutToShowDetails ()
void | aboutToShowPage (QWidget *page)
Signals inherited from KDialog
void | layoutHintChanged ()
Public Member Functions inherited from KDialogBase
| KDialogBase (QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (int dialogFace, const QString &caption, int buttonMask, ButtonCode defaultButton, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (KDialogBase::DialogType dialogFace, WFlags f, QWidget *parent=0, const char *name=0, bool modal=true, const QString &caption=QString::null, int buttonMask=Ok|Apply|Cancel, ButtonCode defaultButton=Ok, bool separator=false, const KGuiItem &user1=KGuiItem(), const KGuiItem &user2=KGuiItem(), const KGuiItem &user3=KGuiItem())
| KDialogBase (const QString &caption, int buttonMask=Yes|No|Cancel, ButtonCode defaultButton=Yes, ButtonCode escapeButton=Cancel, QWidget *parent=0, const char *name=0, bool modal=true, bool separator=false, const KGuiItem &yes=KStdGuiItem::yes(), const KGuiItem &no=KStdGuiItem::no(), const KGuiItem &cancel=KStdGuiItem::cancel())
| ~KDialogBase ()
void | setButtonBoxOrientation (int orientation)
void | setEscapeButton (ButtonCode id)
virtual void | adjustSize ()
virtual QSize | sizeHint () const
virtual QSize | minimumSizeHint () const
QFrame * | plainPage ()
QFrame * | addPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QFrame * | addPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QVBox * | addVBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QHBox * | addHBoxPage (const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QString &itemName, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
QGrid * | addGridPage (int n, Orientation dir, const QStringList &items, const QString &header=QString::null, const QPixmap &pixmap=QPixmap())
void | setFolderIcon (const QStringList &path, const QPixmap &pixmap)
QFrame * | makeMainWidget ()
QVBox * | makeVBoxMainWidget ()
QHBox * | makeHBoxMainWidget ()
QGrid * | makeGridMainWidget (int n, Orientation dir)
void | enableButtonSeparator (bool state)
void | showButton (ButtonCode id, bool state)
void | showButtonOK (bool state)
void | showButtonApply (bool state)
void | showButtonCancel (bool state)
bool | showPage (int index)
int | activePageIndex () const
int | pageIndex (QWidget *widget) const
void | setMainWidget (QWidget *widget)
QWidget * | mainWidget ()
void | disableResize ()
void | setInitialSize (const QSize &s, bool noResize=false)
void | incInitialSize (const QSize &s, bool noResize=false)
QSize | configDialogSize (const QString &groupName) const
QSize | configDialogSize (KConfig &config, const QString &groupName) const
void | saveDialogSize (const QString &groupName, bool global=false)
void | saveDialogSize (KConfig &config, const QString &groupName, bool global=false) const
void | setButtonOK (const KGuiItem &item=KStdGuiItem::ok())
void | setButtonOKText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonApply (const KGuiItem &item=KStdGuiItem::apply())
void | setButtonApplyText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonCancel (const KGuiItem &item=KStdGuiItem::cancel())
void | setButtonCancelText (const QString &text=QString::null, const QString &tooltip=QString::null, const QString &quickhelp=QString::null) KDE_DEPRECATED
void | setButtonText (ButtonCode id, const QString &text)
void | setButtonTip (ButtonCode id, const QString &text)
void | setButtonWhatsThis (ButtonCode id, const QString &text)
void | setButtonGuiItem (ButtonCode id, const KGuiItem &item)
void | setTreeListAutoResize (bool state)
void | setShowIconsInTreeList (bool state)
void | setRootIsDecorated (bool state)
void | unfoldTreeList (bool persist=false)
void | addWidgetBelowList (QWidget *widget)
void | addButtonBelowList (const QString &text, QObject *recv, const char *slot)
void | addButtonBelowList (const KGuiItem &guiitem, QObject *recv, const char *slot)
void | setIconListAllVisible (bool state)
void | showTile (bool state)
void | getBorderWidths (int &ulx, int &uly, int &lrx, int &lry) const KDE_DEPRECATED
QRect | getContentsRect () const KDE_DEPRECATED
QSize | calculateSize (int w, int h) const
QString | helpLinkText () const
QPushButton * | actionButton (ButtonCode id)
Public Member Functions inherited from KDialog
| KDialog (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)
Protected Slots inherited from KDialogBase
virtual void | slotHelp ()
virtual void | slotDefault ()
virtual void | slotDetails ()
virtual void | slotUser3 ()
virtual void | slotUser2 ()
virtual void | slotUser1 ()
virtual void | slotOk ()
virtual void | slotApply ()
virtual void | slotTry ()
virtual void | slotYes ()
virtual void | slotNo ()
virtual void | slotCancel ()
virtual void | slotClose ()
virtual void | applyPressed ()
void | updateGeometry ()
void | slotDelayedDestruct ()
Protected Member Functions inherited from KDialogBase
virtual void | keyPressEvent (QKeyEvent *e)
virtual void | hideEvent (QHideEvent *)
virtual void | closeEvent (QCloseEvent *e)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

The KInputDialog class provides a simple dialog to get a single value from the user.

The value can be a string, a number (either an integer or a float) or an item from a list. This class is designed to be source compatible with QInputDialog.

Five static convenience functions are provided: getText(), getInteger(). getDouble(), getItem() and getItemList().

Since
  3.2

Author
  Nadeem Hasan nhasa.nosp@m.n@kd.nosp@m.e.org

Definition at line 46 of file kinputdialog.h.

## Member Function Documentation

double KInputDialog::getDouble | ( | const QString & | caption,
|  | const QString & | label,
|  | double | value = `0`,
|  | double | minValue = `-2147483647`,
|  | double | maxValue = `2147483647`,
|  | double | step = `0.1`,
|  | int | decimals = `1`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

Static convenience function to get a floating point number from the user.

caption is the text that is displayed in the title bar. label is the text that appears as the label for the spin box. value is the initial value for the spin box. minValue and maxValue are the minimum and maximum allowable values the user may choose. step is the amount by which the value will change as the user presses the increment and decrement buttons of the spin box.

Parameters

  caption | Caption of the dialog
  label | Text of the label for the spin box
  value | Initial value of the spin box
  minValue | Minimum value user can input
  maxValue | Maximum value user can input
  step | Amount by which value is incremented or decremented
  decimals | Number of digits after the decimal point
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget

Returns
  Number user entered if Ok was pressed, else 0

Definition at line 338 of file kinputdialog.cpp.

double KInputDialog::getDouble | ( | const QString & | caption,
|  | const QString & | label,
|  | double | value = `0`,
|  | double | minValue = `-2147483647`,
|  | double | maxValue = `2147483647`,
|  | int | decimals = `1`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

This is an overloaded convenience function.

It behaves exctly like the above function.

Definition at line 357 of file kinputdialog.cpp.

int KInputDialog::getInteger | ( | const QString & | caption,
|  | const QString & | label,
|  | int | value = `0`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | int | base = `10`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

Static convenience function to get an integer from the user.

caption is the text that is displayed in the title bar. label is the text that appears as the label for the spin box. value is the initial value for the spin box. minValue and maxValue are the minimum and maximum allowable values the user may choose. step is the amount by which the value will change as the user presses the increment and decrement buttons of the spin box. Base is the base of the number.

Parameters

  caption | Caption of the dialog
  label | Text of the label for the spin box
  value | Initial value of the spin box
  minValue | Minimum value user can input
  maxValue | Maximum value user can input
  step | Amount by which value is incremented or decremented
  base | Base of the number
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget

Returns
  Number user entered if Ok was pressed, else 0

Definition at line 311 of file kinputdialog.cpp.

int KInputDialog::getInteger | ( | const QString & | caption,
|  | const QString & | label,
|  | int | value = `0`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

This is an overloaded convenience function.

It behaves exactly same as above except it assumes base to be 10, i.e. accepts decimal numbers.

Definition at line 330 of file kinputdialog.cpp.

QString KInputDialog::getItem | ( | const QString & | caption,
|  | const QString & | label,
|  | const QStringList & | list,
|  | int | current = `0`,
|  | bool | editable = `false`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

Static convenience function to let the user select an item from a list.

caption is the text that is displayed in the title bar. label is the text that appears as the label for the list. list is the string list which is inserted into the list, and current is the number of the item which should be the selected item. If editable is true, the user can enter their own text.

Parameters

  caption | Caption of the dialog
  label | Text of the label for the spin box
  list | List of item for user to choose from
  current | Index of the selected item
  editable | If true, user can enter own text
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget

Returns
  Text of the selected item. If `editable` is true this can be a text entered by the user.

Definition at line 365 of file kinputdialog.cpp.

QStringList KInputDialog::getItemList | ( | const QString & | caption,
|  | const QString & | label,
|  | const QStringList & | list = `QStringList()`,
|  | const QStringList & | select = `QStringList()`,
|  | bool | multiple = `false`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

Static convenience function to let the user select one or more items from a listbox.

caption is the text that is displayed in the title bar. label is the text that appears as the label for the listbox. list is the string list which is inserted into the listbox, select is the list of item(s) that should be the selected. If multiple is true, the user can select multiple items.

Parameters

  caption | Caption of the dialog
  label | Text of the label for the spin box
  list | List of item for user to choose from
  select | List of item(s) that should be selected
  multiple | If true, user can select multiple items
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget

Returns
  List of selected items if multiple is true, else currently selected item as a QStringList

Definition at line 390 of file kinputdialog.cpp.

QString KInputDialog::getMultiLineText | ( | const QString & | caption,
|  | const QString & | label,
|  | const QString & | value = `QString::null`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

static

Static convenience function to get a multiline string from the user.

caption is the text that is displayed in the title bar. label is the text that appears as a label for the line edit. value is the initial value of the line edit. ok will be set to true if user pressed Ok and false if user pressed Cancel.

Parameters

  caption | Caption of the dialog
  label | Text of the label for the line edit
  value | Initial value of the line edit
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget

Returns
  String user entered if Ok was pressed, else a null string

Since
  3.3

Definition at line 293 of file kinputdialog.cpp.

QString KInputDialog::getText | ( | const QString & | caption,
|  | const QString & | label,
|  | const QString & | value = `QString::null`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | QValidator * | validator = `0`,
|  | const QString & | mask = `QString::null`
| ) |  |

static

Static convenience function to get a string from the user.

caption is the text that is displayed in the title bar. label is the text that appears as a label for the line edit. value is the initial value of the line edit. ok will be set to true if user pressed Ok and false if user pressed Cancel.

If you provide a validator, the Ok button is disabled as long as the validator doesn't return Acceptable. If there is no validator, the Ok button is enabled whenever the line edit isn't empty. If you want to accept empty input, create a trivial QValidator that always returns acceptable, e.g. QRegExpValidator with a regexp of ".*".

Parameters

  caption | Caption of the dialog
  label | Text of the label for the line edit
  value | Initial value of the line edit
  ok | This bool would be set to true if user pressed Ok
  parent | Parent of the dialog widget
  name | Name of the dialog widget
  validator | A QValidator to be associated with the line edit
  mask | Mask associated with the line edit. See the documentation for QLineEdit about masks.

Returns
  String user entered if Ok was pressed, else a null string

Definition at line 259 of file kinputdialog.cpp.

QString KInputDialog::text | ( | const QString & | caption,
|  | const QString & | label,
|  | const QString & | value = `QString::null`,
|  | bool * | ok = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | QValidator * | validator = `0`,
|  | const QString & | mask = `QString::null`,
|  | const QString & | whatsThis = `QString::null`
| ) |  |

static

Same as getText except it provides an extra parameter to specify a QWhatsThis text for the input widget.

### KDE4: Merge with getText.

Since
  KDE 3.3

Definition at line 267 of file kinputdialog.cpp.

The documentation for this class was generated from the following files:

- kinputdialog.h
- kinputdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys